import 'package:flutter/material.dart';

import 'package:flutter/services.dart';
import 'package:flutter_zendesk/flutter_zendesk.dart';
import 'package:flutter_zendesk_example/testpage.dart';

void main() => runApp(MyApp());

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: "Zendesk Support",
      home: Home(),
    );
  }
}

class Home extends StatefulWidget {
  @override
  _HomeState createState() => _HomeState();
}

class _HomeState extends State<Home> {
  initPlugin() async {
    Map<String, String> param = {
      "appId": "9170618a858d785b471b077a8703212ffd5ed5dedd91d702",
      "clientId": "mobile_sdk_client_6a51b96989ce5cd6be0d",
      "url": "https://nowappstech.zendesk.com",
    };
    try {
      String result = await FlutterZendesk.initiateZendesk(params: param);
      if (result != null) {
        print("Platform Result $result");
        setState(() {});
      }
    } on PlatformException {
      print('Failed to initiate zendesk.');
    }
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text('Zendesk App'),
      ),
      body: Center(
        child: GestureDetector(
          onTap: () {
            Navigator.push(
                context,
                MaterialPageRoute(
                    builder: (BuildContext context) => TestPage()));
          },
          child: Text('ZENDESK'),
        ),
      ),

    );
  }
}
