//
//  FlutterZendeskPluginDelegate.swift
//  flutter_zendesk
//
//  Created by Kishan V on 19/09/19.
//
import UIKit
import ZendeskSDK
import ZendeskCoreSDK
import Flutter

class FlutterZendeskPluginDelegate : IDelegate {
    
    
    
    private let flutterRegistrar: FlutterPluginRegistrar
    private var helpCenter: UIViewController?

    
    init(registrar: FlutterPluginRegistrar) {
        self.flutterRegistrar = registrar
        
        print("init Zendesk plugin");

    }
    
    
    
    // Delegate method to make Paytm Transactions
    func startZendeskTransaction(result: @escaping FlutterResult, checkSumRequestObject: NSDictionary?) {
        
        print("start zendesk transaction");

        let args = checkSumRequestObject
        
        let appId = args!["appId"]as? String
        let clientId  = args!["clientId"]as? String
        let url = args!["url"]as? String
        
        Zendesk.initialize(appId: appId!,
                           clientId: clientId!,
                           zendeskUrl: url!)
        Support.initialize(withZendesk: Zendesk.instance)
        
        let ident = Identity.createAnonymous()
        Zendesk.instance?.setIdentity(ident)
        
        let hcConfig = HelpCenterUiConfiguration()
        hcConfig.groupType = .section
        hcConfig.groupIds = [1234, 5678]
         helpCenter = HelpCenterUi.buildHelpCenterOverviewUi(withConfigs: [hcConfig])
        
        
        if let navigationController = UIApplication.shared.keyWindow?.rootViewController as? UINavigationController {
            navigationController.pushViewController(helpCenter!, animated: true)
        }
        
        let storyboard : UIStoryboard? = UIStoryboard.init(name: "Main", bundle: nil);
        let window: UIWindow = ((UIApplication.shared.delegate?.window)!)!
        
      
       
        let objVC: UIViewController? = storyboard!.instantiateViewController(withIdentifier: "FlutterViewController")
        let aObjNavi = UINavigationController(rootViewController: objVC!)
        window.rootViewController = aObjNavi
        aObjNavi.pushViewController(helpCenter!, animated : true)
        result("Initial")
    }
    
}

protocol IDelegate {

    
    func startZendeskTransaction(result: @escaping FlutterResult, checkSumRequestObject: NSDictionary?)
    
}
